org.springframework.core.type.filter

## Class RegexPatternTypeFilter

- java.lang.Object
- - org.springframework.core.type.filter.AbstractClassTestingTypeFilter
  - - org.springframework.core.type.filter.RegexPatternTypeFilter

All Implemented Interfaces:
  TypeFilter

    public class RegexPatternTypeFilter
    extends AbstractClassTestingTypeFilter

A simple filter for matching a fully-qualified class name with a regex `Pattern`.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`RegexPatternTypeFilter(Pattern pattern)`

### Method Summary

Methods
`protected boolean` `match(ClassMetadata metadata)` Determine a match based on the given ClassMetadata object.

### Methods inherited from class org.springframework.core.type.filter.AbstractClassTestingTypeFilter

`match`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegexPatternTypeFilter

    public RegexPatternTypeFilter(Pattern pattern)

### Method Detail

#### match

    protected boolean match(ClassMetadata metadata)

Description copied from class: `AbstractClassTestingTypeFilter`
Determine a match based on the given ClassMetadata object.

Specified by:
  `match` in class `AbstractClassTestingTypeFilter`
Parameters:
  `metadata` - the ClassMetadata object
Returns:
  whether this filter matches on the specified type